Skip to main content
POST
/
opportunity-statuses
curl -X POST "https://api.clustr-ai.com/api/public/opportunity-statuses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Contacted", "color": "#6366F1"}'
{
  "success": true,
  "data": {
    "id": "5566db32-...",
    "name": "Contacted",
    "color": "#6366F1",
    "position": 0,
    "is_terminal": false
  }
}
Create a new opportunity status for your tenant.

Body

name
string
required
Status name (1–50 characters)
color
string
required
Hex color code (e.g. #3B82F6)
position
integer
Sort position (default: 0)
is_terminal
boolean
Whether this status closes the opportunity (e.g. Won, Lost). Default: false.
curl -X POST "https://api.clustr-ai.com/api/public/opportunity-statuses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Contacted", "color": "#6366F1"}'
{
  "success": true,
  "data": {
    "id": "5566db32-...",
    "name": "Contacted",
    "color": "#6366F1",
    "position": 0,
    "is_terminal": false
  }
}